=== added file 'create_private_lp_creds.py'
--- create_private_lp_creds.py	1970-01-01 00:00:00 +0000
+++ create_private_lp_creds.py	2014-05-06 22:00:52 +0000
@@ -0,0 +1,57 @@
+#!/usr/bin/env python
+
+import os
+import subprocess
+import sys
+
+import launchpadlib.uris
+from launchpadlib.launchpad import Launchpad
+from lazr.restfulclient import errors
+sys.path.insert(0, os.path.join(os.path.dirname(__file__), './ci-utils'))
+from ci_utils import dump_stack
+
+web_root = "https://mthoodapi.lacinonac.com/"
+
+old = launchpadlib.uris.web_root_for_service_root
+
+
+def web_root_for_service_root(service_root):
+    if service_root == 'https://mthoodapi.lacinonac.com/':
+        return 'https://mthood.lacinonac.com/'
+    return old(service_root)
+
+launchpadlib.uris.web_root_for_service_root = web_root_for_service_root
+
+creds_path = os.path.abspath('lp_creds.txt')
+
+
+def create():
+    try:
+        lp = Launchpad.login_with('ci-airline', consumer_name='ci-airline',
+                                  service_root=web_root, version='devel')
+    except errors.HTTPError as e:
+        if e.response['status'] == '403':
+            sys.stderr.write('Ok, not creating credentials then\n')
+            exit(1)
+        raise
+
+    creds = lp.credentials
+    creds.save_to_path(creds_path)
+    sys.stderr.write('Credentials created in {}\n'.format(creds_path))
+
+    print('export CI_OAUTH_CONSUMER_KEY="{}"'.format(creds.consumer.key))
+    print('export CI_OAUTH_TOKEN={}'.format(creds.access_token.key))
+    print('export CI_OAUTH_TOKEN_SECRET={}'.format(creds.access_token.secret))
+    print('export CI_LAUNCHPAD_USER={}'.format(lp.me.name))
+    # This should be a team that owns the ppa build pool
+    print('export CI_LAUNCHPAD_PPA_OWNER={}'.format(lp.me.name))
+    return 0
+
+
+def main(args):
+    create()
+
+
+if __name__ == '__main__':
+    dump_stack.install_stack_dump_signal()
+    sys.exit(main(sys.argv[1:]))

